package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.ITmstruckTotalResultService;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.DataChange;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/27 10:24
 */

@RestController
@RequestMapping("/${api.version}/tmstrucktotalresults")
public class TmstruckTotalResultController extends BaseRESTfulController {

    @Autowired
    ITmstruckTotalResultService tmstruckTotalResultService;

    @ApiOperation(value="添加总实绩 ")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "map", value = "订单Id", required = false, dataType = "Map"),
    })
    @PostMapping("/addTotalResult")
    public RESTfulResult addTotalResult(@RequestBody(required=false) Map<String, Object> map){
        BigDecimal orderId = DataChange.dataToBigDecimal(map.get("orderId"));
        int i = tmstruckTotalResultService.addTotalResult(orderId);
        return success(i);
    }
}
