package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckLoadResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstruckLoadResultMapper extends IBaseMapper<TmstruckLoadResult, BigDecimal> {
    //查询所有的装车实绩
    List<Map<String, Object>> getCGJKLoadResult(Map<String, Object> map);

    //查询最大ID值
    @Select("select seq_tmstruck_load_result.nextval from dual")
    BigDecimal selectMaxId();

    //通过Id获取装车实绩 数据 用于修改
    List<Map<String, Object>> getLoadResultById(Integer resultId);

    //通过发站ID查询所属港口ID
    BigDecimal getPortIdBySendStationId(BigDecimal sendStationId);

    //通过订单ID查询批次ID
    BigDecimal getBatchIdByOrderId(BigDecimal orderId);

    //通过订单Id查询装车实绩Id  一个订单可能会有多个装车实绩
    Integer getLoadResultIdList(Map<String, Object> map);

    //根据运输订单号查找运输订单类型
    Integer selectOrderTypeByOrderNumber(String oderNumber);

    //根据运输订单号查找扫描实绩id
    List<Integer>  selectResultIdByOrderNumber(String orderNumber);

    //根据实绩id查找扫描时间
    Map selectLoadTimeByResultId(Integer resultId);

    //根据实绩id查找扫描时间
    Integer selecLoadIdByresultId(Integer resultId);

    //销售查询所有的装车实绩
    List<Map<String,Object>> selectLoadResultForSale(Map<String,Object> map);

    //根据运输订单号查找物资id
    List<Map<String,Object>> selectMaterialIdByOrderNumber(Map<String, Object> map);
}